2010-12-28  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-lang.cc, d/patches/patch-apple-gcc-5465,
	d/patches/patch-apple-gcc-5664, d/patches/patch-gcc-4.0.x,
	d/patches/patch-gcc-4.1.x, d/patches/patch-gcc-4.2.x,
	d/patches/patch-gcc-4.3.x, d/patches/patch-gcc-4.4.x,
	d/patches/patch-gcc-4.5.x: New function added to langhooks:
	d_dump_tree
	[8a2198026630]

	* d/d-lang.cc, d/patches/patch-apple-gcc-5465,
	d/patches/patch-apple-gcc-5664, d/patches/patch-gcc-4.0.x,
	d/patches/patch-gcc-4.1.x, d/patches/patch-gcc-4.2.x,
	d/patches/patch-gcc-4.3.x, d/patches/patch-gcc-4.4.x,
	d/patches/patch-gcc-4.5.x, d/phobos2/Makefile.am,
	d/phobos2/Makefile.in: New function added to langhooks:
	d_gimplify_expr
	[0d43883dcc75]

	* d/d-builtins2.cc, d/druntime/core/stdc/complex.d,
	d/druntime/rt/complex.c, d/phobos2/Makefile.am, d/phobos2/Makefile.in:
	D2 - Use GCC builtins in core.stdc.complex
	[d13bd5912295]

	* d/d-codegen.cc, d/d-glue.cc: Issue #109 - segfault in memcpy()
	[80c61a61f254]

2010-12-23  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, d/asmstmt.cc, d/d-bi-attrs-45.h, d/d-c-stubs.c,
	d/d-cppmngl.cc, d/d-gcc-includes.h, d/d-glue.cc, d/d-lang-45.h,
	d/d-lang.cc, d/dmd2/*, d/druntime/*, d/phobos2/*: Updated to 2.051.
	[9d12fbe44d3]

	* d/phobos2/Makefile.am, d/phobos2/Makefile.in: D2 - Move generated
	headers out of the way so as they don't interfere with build process.
	[c52428bb97b]

	* /druntime/rt/aaA.d, d/druntime/rt/adi.d, d/druntime/rt/lifetime.d,
	d/druntime/rt/memory.d, d/druntime/rt/qsort.d,
	d/druntime/rt/switch_.d, d/druntime/rt/util/string.d: Merge
	differences between GDC and DMD Druntime. Should fix Issue #129
	[1d6e8e716ae3]

	* d/d-glue.cc, d/d-lang.cc, d/druntime/rt/dmain2.d,
	d/phobos2/Makefile.am, d/phobos2/Makefile.in,
	d/phobos2/gcc/bitmanip.d: Fix codegen in ArrayLiteralExp; Split cmain
	from dmain2 in druntime; Update gcc.bitmanip for 2.051.
	[b1393d6cc45a]

	* d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc, d/d-lang.cc,
	d/d-objfile.cc, d/dt.cc: Use build_constructor to make constructor
	nodes.
	[bd721e198eff]

2010-12-17  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-codegen.h, d/d-glue.cc, d/dmd/expression.c, d/dmd2/expression.c:
	Fix handling of _argptr after commit 398.
	[95992bb703de]

	* d/d-lang.cc, d/patches/patch-gcc-4.4.x: Issue #104 revisited -
	easier to instead fix in GCC.
	[dedbc5dc14a9]

	* d/d-lang.cc: Issue #104 - ICE on inlining nested struct member
	functions
	[eb09c05188ea]

	* d/d-decls.cc: Issue #85 - template functions not inlined.
	[c9db2183900a]

2010-12-12  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-builtins2.cc, d/d-lang.cc, d/dmd2/toobj.c: D2 - tighten up
	purity set on builtins.
	[677ff59c566]

	* d/GDC.html, d/dmd/attrib.c, d/dmd/idgen.c, d/dmd2/attrib.c,
	d/dmd2/idgen.c, d/phobos/gcc/unwind_arm.d, d/phobos2/gcc/unwind_arm.d:
	GNU_attribute and GNU_set_attribute deprecated for promoting attribute
	and set_attribute.
	[99b197365502]

	* d/d-glue.cc, d/d-objfile.cc, d/dmd2/expression.c, d/dmd2/todt.c:
	cleanup todt; testsuite fixes.
	[3ee0b55b9fcc]

2010-12-10  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-builtins2.cc, d/d-dmd-gcc.h, d/dmd2/builtin.c,
	d/dmd2/declaration.h, d/dmd2/expression.c, d/dmd2/interpret.c: Power
	operators ^^ now working in CTFE.
	[d804e40bb245]

	* d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc: Issue #121 - ICE in
	gimple_rhs_has_side_effects.
	[63a29e175dba]

	* d/d-codegen.cc, d/d-codegen.h, d/d-gcc-real.h, d/d-irstate.h,
	d/d-lang.h, d/d-objfile.h, d/dt.h: Glue Header code cleanups.
	[42d36e6321f5]

	* d/phobos2/std/math.d: Issue #113 - std.math: cos/sin forward
	declaration issue.
	[089fa0826192]

	* d/d-asm-i386.h, d/phobos2/std/math.d: Add special case for fdiv/fsub
	opcodes.
	[69b717b206e1]

	* d/asmstmt.cc, d/d-asm-i386.h, d/d-codegen.cc: Glue code cleanups.
	[03e46b45acfc]

	* d/d-asm-i386.h, d/dmd2/expression.c, d/phobos2/std/math.d:
	off-by-one Inline asm fix.
	[9f3bb8c3e1e4]

	* d/d-builtins2.cc, d/d-codegen.cc, d/dmd2/builtin.c,
	d/dmd2/declaration.h, d/dmd2/interpret.c, d/phobos2/Makefile.in,
	d/phobos2/configure: D2 - GCC builtins now CTFE'd.
	[46b8a2bb22f5]

2010-12-04  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-lang.cc, d/druntime/gc/gcgccextern.d, d/phobos2/Makefile.am,
	d/phobos2/Makefile.in, d/phobos2/std/math.d, d/setup-gcc.sh,
	d/target-ver-syms.sh: Updated FreeBSD and Solaris version identifiers.
	[a52396ea0fa4]

2010-12-03  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-asm-i386.h, d/d-spec.c, d/dmd2/root.c, d/dmd2/speller.c,
	d/druntime/core/sys/posix/setjmp.d, d/phobos2/configure,
	d/phobos2/configure.in, d/phobos2/std/math.d: Applied patches from
	Issue #100, some work on Phobos/Druntime ARM port.
	[8dbea571bd08]

	* d/d-asm-i386.h, d/d-builtins.c, d/d-lang.cc: Issue #118 - Segfault
	on string compare.
	[e2092db74028]

2010-11-26  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-decls.cc: Issue #110 - Pure Nothrow Functions Not Called.
	[46680c366e68]

	* d/dmd/entity.c, d/dmd2/entity.c: Fixes to html entities.
	[954a116bc175]

	* d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc, d/d-irstate.h: D2 -
	support 'case var:' in switch statements.
	[af08a1a054c8]

	* d/d-glue.cc, d/d-objfile.cc, d/dmd/expression.c,
	d/dmd2/expression.c: Check lwr <= upr in pointer array slices, fixed
	AA bug using const types.
	[0a0c8ff325da]

	* d/druntime/core/sys/osx/mach/kern_return.d,
	d/druntime/core/sys/osx/mach/port.d,
	d/druntime/core/sys/osx/mach/semaphore.d,
	d/druntime/core/sys/osx/mach/thread_act.d: Add version(OSX) at top of
	source files.
	[106a741599c6]

	* d/d-glue.cc: Fix ICE compiling empty with{} or volatile{}
	statements.
	[e83350ff851b]

	* d/druntime/rt/aaA.d, d/phobos2/std/format.d, d/phobos2/std/string.d:
	Fix bug in aaA.d, remove workaround in std.format.
	[6549ec58cf1c]

	* d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc,
	d/druntime/rt/lifetime.d: Issue #108 - crash when compiling
	declaration of a big array.
	[38209ac30752]

	* d/d-builtins2.cc, d/d-glue.cc, d/dmd2/expression.c,
	d/dmd2/expression.h, d/dmd2/optimize.c, d/druntime/core/atomic.d,
	d/dt.cc, d/dt.h: Refs #108 - Prevent crash when compiling declaration
	of a big array.
	[bece6cdf81f8]

2010-11-21  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-codegen.cc, d/d-codegen.h, d/d-convert.cc, d/d-cppmngl.cc,
	d/d-gcc-real.cc, d/d-glue.cc, d/druntime/core/stdc/stdarg.d,
	d/druntime/rt/lifetime.d, d/dt.cc, d/symbol.cc: Add _d_arrayliteralT
	as libcall.
	[1d3d564d0bfc]

	* d/d-glue.cc, d/dmd2/expression.c, d/druntime/core/stdc/stdarg.d,
	d/phobos2/std/algorithm.d: Issue #107 - compilation failed on
	associated array.clear()
	[75733609b163]

	* d/d-decls.cc, d/d-lang.cc, d/gdc.1, d/lang.opt,
	d/phobos2/Makefile.am, d/phobos2/Makefile.in: Issue #106 - compilation
	failed on files importing std.xml.
	[3205e04db834]

	* d/d-objfile.cc, d/druntime/object.di, d/phobos2/Makefile.am,
	d/phobos2/Makefile.in: Makefile now properly creates D interface files
	for installing.

2010-11-19  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-builtins2.cc, d/d-codegen.cc, d/d-decls.cc, d/d-glue.cc,
	d/d-lang.cc, d/dmd2/*, d/druntime/*, d/phobos2/*: Updated D2 frontend
	to 2.050.
	[93726e7f3043]

	* d/d-glue.cc, d/dmd2/*, d/phobos2/*: Issue #95 - 'Hello World' for
	64bit not working.
	[f58b9a4c4827]

	* d/Make-lang.in, d/d-codegen.cc, d/d-decls.cc, d/d-irstate.cc,
	d/druntime/gc/gcgccextern.d, d/dt.h, d/phobos2/Makefile.am: No more
	segfaults from calling the moduleTlsDtor of a spawned thread.
	[7afee485d3ec]

	* d/druntime/core/atomic.d, d/druntime/rt/dmain2.d,
	d/phobos2/Makefile.am, d/phobos2/Makefile.in: Fix makefile to generate
	& install .di headers for druntime.
	[8d8f3f8e346f]

	* d/d-codegen.cc, d/d-glue.cc, d/druntime/rt/memory.d: Passes the
	compilable/fail_compilation testsuite. Fix off-by-one static assert in
	rt.memory.
	[a05310b5bd39]

	* d/d-codegen.cc, d/druntime/core/atomic.d, d/druntime/rt/monitor.c:
	Don't make a libcall for _d_arraycast when converting void[] to
	array[]. Fix a hang in the generic atomicOps.
	[d9555265c627]

	* d/Make-lang.in, d/d-apple-gcc.c, d/d-codegen.cc, d/d-glue.cc: Remove
	redundant tree checking. Fold in apple-gcc patches.
	[a62de16def16]

	* d/patches/patch-apple-gcc-5664, d/patches/patch-build_gcc-5664: New
	patches for apple-gcc.
	[80db7b3f1bbc]

	* d/dmd/entity.c, d/dmd2/entity.c: Merge Walter's and Thomas' named
	entity lists.
	[8949157fe7b0]

	* d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc: Issue #98 - cannot
	perform floating-point modulo division on creal.
	[53c34b538c56]

	* d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc: Issue #102 - Fixed error
	using overloaded <>= operator.
	[61db8ca7622c]

	* d/d-glue.c: Issue #89 - Error initialising struct with static array.
	[24f69762e9c3]

	* d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc: Issue #103 - destructor
	not called on array of structs.  Postblit on struct now called when
	returned from a function.
	[cb7faae1f7b9]

	* d/druntime/object_.d: Merge workaround from Phobos1 library.
	[336c20f065e4]

	* d/phobos/std/math.d, d/phobos2/std/math.d: Add aliases for missing
	rndtol and rndtonl functions.
	[86eb7cecbe6a]

	* d/d-codegen.cc, d/d-glue.cc: Properly handle return (void)value.  In
	slice expression [lwr .. upr], ensure lwr gets evaluated first.  Tree
	checking fixes in NewExp and floatMod.
	[967482328f44]

2010-11-13  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-c-stubs.c, d/d-codegen.cc, d/d-glue.cc, d/d-objfile.cc,
	d/dmd2/*, d/druntime/*, d/phobos2/*: Updated D2 frontend to 2.049.
	[6c13728646ec]

	* d/druntime/core/sys/posix/sys/select.d: Issue #90 - select.d fails
	to compile on 64 bits Linux.
	[9cd6979d9a7d]

	* d/druntime/core/sys/posix/sys/select.d, d/druntime/rt/lifetime.d,
	d/phobos2/gcc/bitmanip.d, d/phobos2/std/bitmanip.d,
	d/phobos2/std/regexp.d: Issue #91, #92, #93 - various issues building
	on 64bit Linux.
	[c3ef6baccc9d]

2010-11-12  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-asm-i386.h, d/d-builtins2.cc, d/d-codegen.cc, d/d-convert.cc,
	d/d-cppmngl.cc, d/d-glue.cc, d/d-lang.cc, d/d-spec.c, d/dmd2/*,
	d/druntime/*, d/phobos2/*: Updated D2 frontend to 2.048.
	[0d91f8245403]

	* d/druntime/core/sys/posix/sys/select.d: Fix some 64bit compat issues
	with druntime module.
	[05bb4c2b1f7d]

2010-11-08  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-builtins2.cc, d/d-codegen.cc, d/d-glue.cc, d/d-lang.cc,
	d/dmd-script, d/dmd2/*, d/druntime/*, d/phobos2/*: Updated D2 frontend
	to 2.047.
	[4bd4615c8a7e]

2010-11-07  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc,
	d/dmd-script, d/dmd-script.1, d/gdc.1, d/dmd2/*, d/druntime/*,
	d/phobos2/*: Updated D2 frontend to 2.046. Removed tabs, trailing
	spaces.
	[5be9e0023b23]

2010-11-05  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-glue.cc, d/d-irstate.cc, d/d-lang.cc, d/d-objfile.cc,
	d/d-objfile.h, d/dmd2/*, d/druntime/*, d/phobos2/*: Updated D2
	frontend to 2.040.
	[5beb7019c5e6]


2010-11-03  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/phobos/Makefile.am, d/phobos/Makefile.in, d/phobos/etc/c/zlib.d,
	d/phobos/std/zlib.d, d/phobos2/Makefile.am, d/phobos2/Makefile.in,
	d/phobos2/etc/c/zlib.d, d/phobos2/std/zlib.d, d/zlib/*: Upgrade zlib
	support to zlib 1.2.5.
	[ea7e83019088]

	* d/d-gcc-real.cc: Issue #79 - Wrong decimal value in error message.
	[71d8713b0604]

	* d/phobos2/std/json.d, d/setup-gcc.sh: Added --update option for
	setup-gcc.sh to rebuild directory of libphobos links.

	* d/dmd/typinf.c, d/dmd2/typinf.c: Issue #83 - wrong TypeInfo_Struct
	name outputted.
	[f9ddff9d5ed9]

	* d/d-lang.cc: Bugzilla 1911 - Link error when creating array of
	typedefs with default initializer.
	[8667626321e7]

2010-11-01  michaelp  <baseball.mjp@gmail.com>

	* d/d-codegen.cc: Issue #76 - odd error message when casting between
	non-convertable types.
	[0c78536565d6]

2010-11-01  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/asmstmt.cc, d/d-builtins2.cc, d/d-codegen.cc, d/d-codegen.h,
	d/d-cppmngl.cc, d/d-decls.cc, d/d-glue.cc, d/d-lang.cc, d/dmd-script,
	d/dmd2/*, d/druntime/*, d/phobos2/*: Updated D2 Frontend to 2.037.
	[e37f9fae0867]

	* d/druntime/compiler/gdc/object_.d, d/druntime/compiler/gdc/rt/aaA.d,
	d/druntime/import/object.di: Issue #82 - undefined references in
	object.d
	[0aff60753810]

2010-10-31  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-codegen.cc, d/d-decls.cc, d/d-glue.cc, d/dmd2/*, d/druntime/*,
	d/phobos2/*: Updated D2 frontend to 2.036.
	[6bf237fb6ba6]

	* d/d-decls.cc, d/d-glue.cc: Issue #80 - Bad codegen for structs
	containing invariants.
	[2fe867d16c45]

	* d/d-codegen.cc, d/d-glue.cc: Issue #81 - Bad codegen and ICEs using
	enums.
	[3d028b2d1d30]

	* d/d-lang.cc: Issue #76 - Hide 'In file included from <builtin>'
	message in errors.
	[d590dd56696b]

	* d/phobos2/std/string.d, d/phobos2/std/zlib.d: Fix return result of
	cmp().
	[582cd1b0bff4]

	* d/d-builtins2.cc, d/druntime/import/core/stdc/math.d: All GCC
	builtins now marked pure and optionally nothrow. core.stdc.math
	functions made builtin.
	[dc2b50a4c0f6]

2010-10-27  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, d/d-glue.cc, d/d-lang.cc, d/dmd2/*, d/druntime/*,
	d/phobos2/*: Update D2 frontend to 2.035.
	[ef0d5e8ec06d]

	* d/d-glue.cc: Adjust Classinfo size for D2.
	[b8673983b46b]

	* d/patches/*, d/set-gcc.sh: Updated patches and setup-gcc.sh for
	Apple GCC.
	[b25313940945]

	* d/d-asm-i386.h, d/phobos/std/cpuid.d, d/phobos2/std/cpuid.d: Tell
	backend cpuid clobbers EBX; remove workaround in std.cpuid.
	[3cbf9b8108a2]

2010-10-24  michaelp  <baseball.mjp@gmail.com>

	* d/d-glue.cc, d/druntime/*, d/phobos2/*: Issue #77 - porting D2
	Phobos to x86_64.
	[cf5f02e03fda]

2010-10-23  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/phobos2/*: Issue #74 - New D2 Phobos source rebased from DMD.
	[98120f156997]

	* d/phobos/Makefile.am, d/phobos/Makefile.in, d/phobos/config.h.in
	d/phobos/configure, d/phobos2/Makefile.am, d/phobos2/Makefile.in:
	Fix building with --enable-multilib
	[67365c9f7b52]

2010-10-21  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-asm-i386.h, d/d-decls.cc, d/d-glue.cc, d/d-lang.cc,
	d/dmd-script, d/dmd2/*, d/druntime/*, d/phobos2/*: Updated D2 frontend
	to 2.032.
	[861e16b38529]

	* d/d-builtins2.cc, d/druntime/import/core/stdc/stdarg.d: D2 - Add
	core.stdc.stdarg as an stdarg module. Patched core.stdc.stdarg to work
	with GDC compiler.
	[8b0a0deb8e7d]

	* d/d-codegen.cc: Issue #72 - 'this' in nested structs cannot access
	frame of outer function.
	[3422c59c130a]

	* d/phobos/std/intrinsic.d: D1 - Fix bt function on 64bit archs.
	[7445723aaedd]

	* d/d-codegen.cc, d/d-glue.cc: Issue #73 - ICE declaring string enums.
	[0865e6286775]

	* d/druntime/compiler/gdc/aaA.d: D2 - Fixed segfault getting AA
	keys/values.
	[d049574ccd3f]

	* d/dmd/mars.h, d/dmd/mtype.c, d/phobos/acinclude.m4,
	d/phobos/configure, d/phobos/configure.in, d/phobos2/acinclude.m4,
	d/phobos2/configure, d/phobos2/configure.in, d/target-ver-syms.sh:
	Some updated to target OS detection.
	[7fecb2ef6432]

2010-10-12  opticron  <nyphbl8d@gmail.com>

	* d/phobos/Makefile.am, d/phobos/Makefile.in, d/phobos2/Makefile.am
	d/phobos2/Makefile.in: D1/D2: Fix type sizes in gcc/config/* when
	building with multilib.
	[b9f7dd4e80a2]

2010-10-11  michaelp  <baseball.mjp@gmail.com>

	* d/patches/patch-gcc-4.4.x, d/patches/patch-toplev-4.4.x: Updated
	4.4.x patches for 4.4.5
	[dd2f05ac4246]

2010-10-08  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-glue.cc, d/dmd2/*, d/druntime/*: Updated D2 frontend to 2.029.
	[082c04bad0c3]

2010-10-07  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, d/d-asm-i386.h, d/d-codegen.h, d/d-decls.cc
	d/d-gcc-real.cc, d/d-gcc-real.h, d/d-glue.cc, d/dmd2/*, d/druntime/*,
	d/phobos2/*: Update D2 frontend to 2.028.
	[141118223a79]

	* d/dmd/cast.c d/dmd/constfold.c d/dmd/identifier.c d/dmd/lexer.c
	d/dmd/mars.h d/dmd/mtype.c d/dmd/opover.c d/dmd/optimize.c
	d/dmd/template.h d/dmd/todt.c d/dmd/toobj.c: Cleaned up D1 folder
	after D2 updates.
	[5c293d142e2d]

	* d/asmstmt.cc, d/d-asm-i386.h: Issue #70 - Inline Asm errors junk
	`(%ebp)+4' after expression.
	[21764cc50c3f]

2010-10-06  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, dmd2/*, phobos2/*: Updated D2 frontend to 2.026.
	[7a1dfe79af05]

	* d/d-glue.cc: Issue #69 - ICE on typedef'd array
	concatenation.
	[fe66fbb9e08e]

	* d/d-codegen.cc, d/d-codegen.h, d/d-glue.cc: D2 - Fixed 'this.this'
	being null in a nested class.
	[d1dfd83df144]

	* d/d-decls.cc: Let backend know about functions marked as 'nothrow'
	and 'immutable'.
	[77df72e87dd0]

	* d/d-codegen.cc, d/d-codegen.h, d/d-decls.cc, d/d-glue.cc: D2 -
	Implemented nested structs.
	[8c901ab67b00]

	* d/d-codegen.cc d/d-codegen.h d/d-glue.cc: Move block of code
	initialising structs from emitLocalVar to AssignExp.
	[32165d66c011]

	* d/Make-lang.in, d/d-lang.cc, d/dmd2/array.c, d/dmd2/async.c
	d/dmd2/async.h, d/dmd2/root.c: D2 - Added AsyncRead sources.
	[3407bc0a9896]

2010-10-03  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/phobos/std/regexp.d: Fix D1 phobos for 64bit systems.
	[2cc2741e0031]

	* d/d-decls.cc, d/d-lang.h: D2 - Let backend know about functions
	marked as 'pure'.
	[e9eb758ba073]

	* d/druntime/compiler/gdc/lifetime.d: Issue #69 - arraycatnT not
	working on 64bit.
	[1fb27285a969]

2010-09-30  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/asmstmt.cc, d/d-codegen.cc, d/d-glue.cc, dmd2/*, druntime/*
	phobos2/*: Updated D2 frontend to 2.025.
	[4b8327c25e06]

2010-09-29  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/d-glue.cc, d/dmd2/*, d/druntime/*, d/phobos2/*: Updated D2
	frontend to 2.022
	[747409fe2b40]

	* d/d-codegen.cc, d/d-glue.cc, d/phobos2/Makefile.in: Fix building with
	--enable-checking.
	[364d892342c5]

	* d/d-codegen.cc, d/druntime/gc/basic/gcx.d: Issue #68 - Cannot cast to
	structs of same type size.
	[8fd7216c74a7]

	* d/d-lang.cc, d/dmd-script, d/lang.opt: Added -safe switch.
	[a06f5919bd1c]

	* d/d-spec.c: Update D2 driver.
	[9e1b27a03458]

2010-09-28  Iain Buclaw  <ibuclaw@ubuntu.com>

	* zlib/*: Moved zlib to it's own maintained directory.
	* d/phobos/etc/c/zlib, d/phobos2/etc/c/zlib: Removed.
	[46deecb698ea]

	* dmd/*, phobos/*: Updated D1 frontend to 1.064.
	[77f4acd15b72]

	* dmd2/*, druntime/*, phobos2/*: Updated D2 frontend to 2.021.
	[ed6460a378bc]

	* d/druntime/compiler/gdc/adi.d, d/druntime/compiler/gdc/alloca.d,
	d/druntime/compiler/gdc/cover.d, d/druntime/compiler/gdc/memset.d,
	d/druntime/compiler/gdc/qsort.d, d/druntime/compiler/gdc/qsort2.d,
	d/phobos2/Makefile.am, d/phobos2/Makefile.in: D2 runtime segfault fixes.
	[7c9615da20cb]

	* d/d-builtins2.cc d/d-codegen.cc d/d-decls.cc d/d-glue.cc
	d/dmd2/mars.h d/druntime/compiler/gdc/util/console.d
	d/phobos2/std/bigint.d d/phobos2/std/bitmanip.d d/phobos2/std/boxer.d
	d/phobos2/std/date.d d/phobos2/std/dateparse.d d/phobos2/std/md5.d: D2
	'this' parameter to struct member functions is now a reference type.
	[91fd4a667dc9]

2010-09-25  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-glue.cc: D2 - rework return by ref.
	[ecd406de9575]

	* d-codegen.cc, d-glue.cc: Move check for ref function to better place.
	[9dc1edb1c332]

	* d-glue.cc: Issue #66 - Array setting causes OutOfMemoryException.
	[65f4cc943169]

2010-09-20  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-builtins.c, d-codegen.cc, d-glue.cc:
	D2 updates - Return by reference now implemented (instead of ignored).
	[6e2ba321e290]

	* d-codegen.cc, d-convert.cc, d-decls.cc, d-glue.cc:
	Gain back some compiler speed in release builds.
	[c8bdb254e8fc]

2010-09-18  Iain Buclaw  <ibuclaw@ubuntu.com>

	* phobos2/config.h.in, phobos2/configure:
	Regenerate D2 configure scripts.
	[eed0b915018b]

	* druntime/compiler/gdc/dmain2.d:
	Fix _d_hidden_func to work with GDC compiler
	[8c2f5a4e8805]

	* d-codegen.cc, d-convert.cc, d-glue.cc, d-lang.h:
	Issue #64 - enable-checking in configure fails on 4.4.x
	[7bfec5c437bb]

	* d-lang.h: Issue #28 - enable-checking in configure fails
	[3de9afb31bb7]

	* druntime/compiler/gdc/trace.d, phobos2/Makefile.am,
	phobos2/Makefile.in, phobos2/config.log:
	Remove trace.d from D2
	[253e781b9254]

2010-09-15  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc d-glue.cc: Fix obscure memory bug in D2.
	[af9fbe154ba6]

	* d-codegen.cc, d-codegen.h, d-glue.cc, d-irstate.cc, d-irstate.h,
	dmd/statement.c, dmd2/statement.c:
	Issue #56 - goto into a try block doesn't produce an error.
	[960b54da053d]

	* dmd2/inifile.c, druntime/compiler/gdc/cmath2.d,
	druntime/compiler/gdc/gccmemory.d, druntime/compiler/gdc/memory.d,
	phobos2/Makefile.am, phobos2/Makefile.in:
	Split off rt.memory, remove useless sources.
	[08fac74f4074]

	* druntime/common/core/thread.d, druntime/compiler/gdc/util/cpuid.d:
	Merge getESP code from D2 phobos to druntime.
	[5e6ee66625e4]

	* druntime/compiler/gdc/llmath.d: Remove llmath.d
	[6b7397510e33]

2010-09-09  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc:
	Revert part of commit 210, and fix integer representations on gdc-4.4.
	[844b25646834]

	* d-bi-attrs-34.h, d-bi-attrs-341.h, d-builtins.c, d-c-stubs.c,
	Make-lang.in: Merge d-bi-attrs-341 with d-bi-attrs-34.h.
	[c2f92387a049]


2010-09-07  michaelp  <baseball.mjp@gmail.com>

	* gcc-mars.cc:
	Removed gcc-mars.cc from top level d/ folder.
	[e4b1e3753bf5]

	* Make-lang.in:
	Updated Make-lang.in for removal of gcc-mars.cc.
	[db7d6aae8ceb]

	* GDC.html, History, INSTALL, INSTALL.html, README, dmd-script,
	dmd-script.1, gdc.1:
	Documentation updates.
	[e651ed00a16e]

2010-09-03  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc, d-glue.cc, d-objfile.cc:
	Issue #59 and #60: ICE when goto undefined label and ICE in foreach over
	member member array in static func
	[955dc7d43780]

	* d-codegen.cc, d-glue.cc, d-irstate.cc, d-lang.h, dmd/func.c,
	dmd/statement.c, dmd/statement.h:
	Issue #54: 1.063 changes in phobos versioning + dmd backend.
	[4c10fa4a539a]

2010-09-01  Iain Buclaw  <ibuclaw@ubuntu.com>

	* dmd/cast.c, dmd/impcnvgen.c, dmd2/impcnvgen.c:
	Bugzilla 1822 - String slicing in 64-bit gdc causes spurious
	warnings
	[5efc9014eef8]

	* patches/patch-gcc-4.0.x, patches/patch-gcc-4.1.x, d/patches
	/patch-gcc-4.2.x, patches/patch-gcc-4.3.x, patches/patch-
	gcc-4.4.x:
	Issue #50 - thanks venix1: SjLj expections fail when thrown from catch
	block
	[d655a072bbb8]

	* d-builtins2.cc, d-lang.cc, d-spec.c:
	Removed va_list hack, small change to D2 lang driver.
	[7a67e4973ace]

2010-08-30  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc:
	Issue #14: STATIC_CHAIN_EXPR not caught in estimate_num_insns_1()
	[63c14701ccde]

2010-08-29  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-c-stubs.c, d-glue.cc, d-lang.cc:
	Add stubs for C_TARGET_OBJS on non-x86 archs.
	[b530fcd9baab]

	* d-glue.cc:
	Bugzilla 1669 - this.outer in nested classes gives a bogus pointer
	[ebce488abf89]

	* d-lang.cc, phobos2/Makefile.am, phobos2/acinclude.m4:
	Add D_Version2 version predicate.
	[9808b8987cce]

2010-08-28  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-c-stubs.c, d-decls.cc, d-lang.cc,
	druntime/compiler/gdc/aaA.d, druntime/compiler/gdc/util/cpuid.d,
	druntime/gc/basic/gc_c.h, druntime/gc/basic/gc_dyld.c,
	druntime/gc/basic/gc_freebsd.c, druntime/gc/basic/gcgccextern.d,
	phobos/internal/gc/gcgccextern.d, phobos/std/loader.d,
	phobos2/Makefile.am, phobos2/acinclude.m4,
	phobos2/std/cpuid.d:
	D2 updates.
	[ebe4ca2bd83a]

2010-08-27  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, d-spec.c, phobos2/Makefile.am:
	Add druntime to the GDC driver.
	[3dbc1c4cd214]

	* druntime/Makefile, druntime/compiler/gdc/dgccmain2.d,
	druntime/compiler/gdc/lifetime.d, phobos2/gcc/deh.d,
	phobos2/gcc/unwind_generic.d, phobos2/gcc/unwind_pe.d,
	phobos2/std/stream.d:
	Remove Makefile and fix module dependencies in Druntime
	[6fea2af61a0c]

	* phobos2/Makefile.am, phobos2/acinclude.m4, phobos2/aclocal.m4,
	phobos2/configure.in, d/setup-gcc.sh:
	Reorganise D2 Makefile for Druntime
	[f888b572d19a]

	* d/Make-lang.in:
	Use BACKENDLIBS rather than GMPLIBS for gdc-4.4
	[bda0f5d37728]

	* d-glue.cc:
	Fix ICE in D2 ForeachRange statements
	[7d35bcb69e7e]

2010-08-26  Iain Buclaw  <ibuclaw@ubuntu.com>

	* patches/patch-gcc-4.4.x:
	Regenerate gcc-4.4.x patch
	[4dfe5494460a]

2010-08-25  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.h:
	Fix codegen for addressOf array types, resolves broken va_lists on
	gdc-4.4.
	[9463381e1daa]

	* druntime/compiler/gdc/fpmath.d, druntime/compiler/gdc/gcc/*,
	druntime/druntimelicense.txt, druntime/druntimereadme.txt,
	druntime/hello.d, druntime/license.txt, druntime/readme.txt:
	Re-add fpmath.d - previously from removed internal directory.
	[bf3e292d1a4c]

	* d-builtins2.cc:
	Slight alteration to va_list type generation on gdc-4.4
	[e005caeafced]

	* d-codegen.cc, d-glue.cc, d-irstate.cc, d-lang.h:
	Use own language flag for labels marked 'used'.
	[d7963235235c]

	* d-lang.cc:
	Rework of previous commit for Issue #58.
	[025031c2e274]

2010-08-24  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-lang.cc:
	Issue #58 - Fixed stack overflow in gdc-4.4
	[c02f5ac787a8]

2010-08-23  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc:
	Bugzilla 1813 - ICE on static function parametrized with alias.
	[2e06ca97b873]

2010-08-22  michaelp  <baseball.mjp@gmail.com>

	* patches/patch-gcc-3.4.x, patches/patch-gcc-4.0.x, d/patches
	/patch-gcc-4.1.x, patches/patch-gcc-4.2.x, patches/patch-
	gcc-4.3.x, patches/patch-toplev-3.4.x, patches/patch-
	toplev-4.0.x, patches/patch-toplev-4.1.x, patches/patch-
	toplev-4.2.x, patches/patch-toplev-4.3.x:
	Updated patches for D2/druntime
	[dc882e7537c0]

2010-08-22  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, d-bi-attrs-44.h, d-builtins.c, d-builtins2.cc,
	d-codegen.cc, d-decls.cc, d-gcc-includes.h, d-lang.cc,
	d-objfile.cc, patches/patch-gcc-4.4.x, patches/patch-
	toplev-4.4.x, d/setup-gcc.sh:
	Building on GCC-4.4 now supported.
	[0616ebb4255b]

	* d-lang.cc:
	Issue #51: 1.062 outstanding issues
	[9663a271233b]

2010-08-20  michaelp  <baseball.mjp@gmail.com>

	* phobos2/*:
	Updated phobos2 to 2.020 (not working)
	[08d9a5b24ff4]

2010-08-20  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-glue.cc:
	Fix ICE on shorthand if statements.
	[ef2959fa8184]

2010-08-20  michaelp  <baseball.mjp@gmail.com>

	* d-glue.cc:
	Fixed problem with continue statements in D2
	[511f3176ec0d]

2010-08-20  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-lang.cc, druntime/compiler/gdc/arraybyte.d,
	druntime/compiler/gdc/arraydouble.d,
	druntime/compiler/gdc/arrayfloat.d,
	druntime/compiler/gdc/arrayint.d,
	druntime/compiler/gdc/arrayshort.d, phobos/internal/arraybyte.d,
	phobos/internal/arraydouble.d, phobos/internal/arrayfloat.d,
	phobos/internal/arrayint.d, phobos/internal/arrayshort.d,
	phobos2/internal/arraybyte.d, phobos2/internal/arraydouble.d,
	phobos2/internal/arrayfloat.d, phobos2/internal/arrayint.d,
	phobos2/internal/arrayshort.d:
	Issue #30: D_InlineAsm updates
	[ce1833f9106a]

2010-08-19  michaelp  <baseball.mjp@gmail.com>

	* d-lang.cc:
	Fixed JSON option for D2
	[2118f4d1de83]

	* d/setup-gcc.sh:
	Updated setup-gcc.sh for libdruntime building
	[6e7640bc2b3c]

	* patches/patch-toplev-4.1.x, patches/patch-toplev-4.2.x,
	patches/patch-toplev-4.3.x:
	Updated toplevel 4.1, 4.2, and 4.3 patches for libdruntime
	[1df5716f2b88]

	* patches/patch-toplev-3.4.x, patches/patch-toplev-4.0.x:
	Updated 3.4 + 4.0 toplevel patches to include libdruntime
	[a74ceca3c239]

	* dmd/func.c:
	Issue #57: C-style variadic functions broken
	[ae817bd07dbf]

2010-08-19  Iain Buclaw  <ibuclaw@ubuntu.com>

	* phobos/*:
	Updated Phobos to 1.063 - expanded tabs.
	[bbe96bfd09dd]

2010-08-17  michaelp  <baseball.mjp@gmail.com>

	* d-glue.cc:
	One of Issue #56. Cannot goto into finally block
	[22792e6a6253]

2010-08-17  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc, d-glue.cc, d-irstate.cc, d-irstate.h:
	Bugzilla 1041 - incorrect code gen for scope(exit) inside switch
	[d472abadf847]

2010-08-16  michaelp  <baseball.mjp@gmail.com>

	* d-glue.cc, dmd/func.c, dmd/statement.c, dmd/statement.h:
	Temporarily reverted 1.063 change
	[d89d1a46125d]

2010-08-16  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/asmstmt.cc, d-apple-gcc.c, d-asm-i386.h, d-builtins.c,
	d-builtins2.cc, d-c-stubs.c, d-codegen.cc, d-codegen.h,
	d-convert.cc, d-cppmngl.cc, d-decls.cc, d-gcc-includes.h,
	d-gcc-real.h, d-glue.cc, d-irstate.cc, d-lang.cc,
	d-lang.h, d-objfile.cc, d-spec.c, d/dt.cc, d/dt.h,
	d/gdc_alloca.h, d/symbol.cc:
	Added GPL onto files missing it, attributed modifications.
	[4d41771eba7c]

2010-08-15  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc:
	Some more type conversion updates in glue.
	[4567e417c0b3]

2010-08-14  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-apple-gcc.c, d-codegen.cc, d-convert.cc, d-glue.cc,
	d-lang.cc:
	Remove default_conversion, tighten up signed/unsigned conversions.
	[c1ae96f4e1a6]

	* d-builtins2.cc, d-codegen.cc, d-glue.cc, d-lang.cc,
	d-lang.h:
	Removed references to TREE_UNSIGNED.
	[4a59c1bbc04c]

	* d-gcc-includes.h:
	Fixed previous glue commit.
	[9cac96f771a1]

2010-08-14  michaelp  <baseball.mjp@gmail.com>

	* phobos/std/thread.d:
	Updated thread_attach bug in Windows
	[de30c34ef79d]

2010-08-14  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/asmstmt.cc, d-builtins2.cc, d-codegen.cc, d-gcc-includes.h,
	d-glue.cc, d-lang.cc, d-objfile.cc:
	Glue touch-ups, now uses D_USE_MAPPED_LOCATION
	[6122f6d23a71]

2010-08-13  michaelp  <baseball.mjp@gmail.com>

	* d-cppmngl.cc:
	Uploaded missing fix from 1.063 merge
	[fc7de0a268ab]

	* dmd/template.c:
	Fixed implicit conversion of template parameters
	[888e3cc8a31d]

	* d-glue.cc, dmd/async.c, dmd/declaration.c,
	dmd/declaration.h, dmd/dsymbol.c, dmd/dsymbol.h, dmd/enum.c,
	dmd/enum.h, dmd/expression.c, dmd/func.c, dmd/init.c,
	dmd/interpret.c, dmd/mars.c, dmd/mars.h, dmd/module.c,
	dmd/module.h, dmd/mtype.c, dmd/parse.c, dmd/parse.h,
	dmd/root.c, dmd/statement.c, dmd/statement.h, dmd/todt.c,
	phobos/internal/deh2.d, phobos/internal/object.d,
	phobos/std/math.d:
	Updated to 1.063
	[f1e726cbcc98]

2010-08-11  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, d-bi-attrs-34.h, d-bi-attrs-341.h, d-bi-
	attrs-40.h, d-bi-attrs-41.h, d-bi-attrs-42.h, d-bi-attrs-43.h,
	d-builtins.c:
	Cleanup d-bi-attrs. Make includes slightly smarter.
	[349f85192e52]

	* d-codegen.cc:
	Remove useless trial/error comments in function.
	[89b4363653f8]

2010-08-10  michaelp  <baseball.mjp@gmail.com>

	* d-codegen.cc:
	Issue 33 - Sefault with nested array allocation
	[be805cb4fb58]

2010-08-09  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, patches/patch-gcc-4.2.x, patches/patch-
	toplev-4.2.x, d/setup-gcc.sh:
	Building on GCC-4.2 now supported.
	[c1b55292cd94]

	* d-codegen.cc, d-glue.cc, d-irstate.cc:
	Apply adaptation of feep's autovec patch (one big thanks!)
	[fbce9c0580d3]

	* d/asmstmt.cc, d-asm-i386.h:
	Replace tabs for space in ASM outbuffer.
	[659f6f38f6f4]

2010-08-09  michaelp  <baseball.mjp@gmail.com>

	* d/dmd-script:
	Whitespace fix to previous commit.
	[0fee937d84d4]

	* d-lang.cc, d/dmd-script, d/lang.opt:
	Added JSON support - Issue 52 + gdmd usage change
	[35f04cb2339c]

	* d/dmd-script:
	Added -defaultlib= and -debuglib= into gdmd usage
	[e34a68f9c427]

	* d/dmd-script:
	Updated -defaultlib and -debuglib switches for gdmd - Issue 46
	[181e89b3d8d6]

2010-08-08  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-builtins.c, d-c-stubs.c, d-codegen.cc, d-glue.cc,
	d-lang.h:
	Build with GCC-3.4 working again.
	[58e9b23e110c]

	* d/Make-lang.in, dmd2/array.c, dmd2/mars.c, dmd2/root.c,
	dmd2/total.h:
	Updates of previous commit
	[41657ecdc3fe]

	* d/Make-lang.in, d-decls.cc, dmd/expression.c, dmd2/arrayop.c,
	dmd2/bit.c, dmd2/complex_t.h, dmd2/e2ir.c, dmd2/lib.h,
	dmd2/libelf.c, dmd2/link.c, dmd2/man.c, dmd2/port.h,
	dmd2/template.c, dmd2/tocsym.c, dmd2/toir.c, dmd2/toir.h,
	dmd2/toobj.c, d/symbol.cc, d/symbol.h:
	Issue 29 - Remove unused D2 files
	[fdef7864146b]

	* d-decls.cc:
	Bugzilla 1296 - ICE when object.d is missing things
	[e9bfccc01834]

2010-08-06  michaelp  <baseball.mjp@gmail.com>

	* d/dmd-script:
	More updates to gdmd
	[d77ee89f6174]

2010-08-05  michaelp  <baseball.mjp@gmail.com>

	* d/dmd-script:
	Small changes to gdmd; some fixes for Issue 46
	[9269acda0b86]

2010-08-05  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-decls.cc, d-glue.cc:
	Fix logic on array ops. Fixup comments for previous commits.
	[5792cfbf3ae7]

	* d-glue.cc:
	Issue 43: >>> and >>>= generate wrong code
	[56caae262c41]

2010-08-02  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-lang.cc:
	Regression in D1 when building with --enable-checking
	[6f2adfcabae6]

	* d-spec.c:
	Check missing argument for -defaultlib
	[8d59f275476b]

	* d-decls.cc:
	Issue 47: GDC improperly handles extern(System) and extern(Windows) on
	Windows
	[e5b50cb17c57]

2010-07-31  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc, dmd/todt.c:
	Issue 51: 1.062 outstanding issues
	[f41ce1e8e5b2]

	* dmd/aav.c, dmd/aav.h, dmd/arrayop.c, dmd/attrib.c,
	dmd/cast.c, dmd/constfold.c, dmd/dsymbol.c,
	dmd/expression.c, dmd/imphint.c, dmd/interpret.c,
	dmd/lexer.c, dmd/mtype.c, dmd/parse.c, dmd/speller.h,
	dmd/statement.c, dmd/toobj.c, dmd/unittests.c, dmd/utf.c:
	Line endings, cleanups, and a missing ')'
	[84378e5ef655]

	* d-codegen.cc, d-glue.cc:
	Glue updates for previous merge.
	[a48e13277e67]

2010-07-31  michaelp  <baseball.mjp@gmail.com>

	* d-glue.cc, dmd/*, phobos/std/date.d:
	Updated to 1.062
	[9f7927e5f551]

2010-07-30  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-spec.c:
	Added -defaultlib and -debuglib to allow building with another
	library other than libphobos.
	[f7a52f778a09]

	* druntime/*:
	Initial import of druntime into project.
	[2f052aaedd25]

	* d-glue.cc:
	Fix generation of D array concatenation calls.
	[d70321dcd604]

	* phobos2/acinclude.m4, phobos2/configure, phobos2/configure.in,
	phobos2/internal/arrayassign.d, phobos2/phobos-ver-syms.in:
	D2 now defines Posix.
	[575ed6d347e0]

	* dmd/parse.c, dmd/speller.c:
	Include header needed for MinGW to build.
	[5260cab6c448]

2010-07-29  michaelp  <baseball.mjp@gmail.com>

	* phobos2/std/c/stdio.d:
	Fixed accidentally reapplied Windows patch
	[d4356fb371ee]

	* d/Make-lang.in, dmd/aav.c, dmd/aav.h, dmd/class.c,
	dmd/declaration.c, dmd/dsymbol.c, dmd/dsymbol.h,
	dmd/expression.c, dmd/func.c, dmd/imphint.c, dmd/mars.c,
	dmd/mars.h, dmd/optimize.c, dmd/scope.c, dmd/speller.c,
	dmd/struct.c, dmd/template.c, phobos2/std/c/stdio.d:
	Updated to 1.061
	[9038432ea1ff]

	* phobos/std/c/stdio.d, phobos2/std/c/stdio.d:
	Remove stdio.d patches from Issue 21 patch
	[a53c51fad1bd]

	* d-decls.cc, phobos/std/c/stdio.d, phobos2/std/c/stdio.d:
	Issue 21 - _iob undefined reference under Windows
	[ea913c7eec42]

	* d-glue.cc:
	Fixed array ops bugs from 1.059
	[92c39c74433f]

	* d/Make-lang.in, dmd/cast.c, dmd/class.c, dmd/declaration.c,
	dmd/declaration.h, dmd/dsymbol.c, dmd/expression.c,
	dmd/expression.h, dmd/idgen.c, dmd/init.c, dmd/inline.c,
	dmd/interpret.c, dmd/json.c, dmd/mars.c, dmd/mtype.c,
	dmd/parse.c, dmd/speller.c, dmd/speller.h, dmd/statement.h,
	dmd/unittests.c:
	Updated to 1.060
	[1c1cc97db718]

2010-07-28  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/dmd-script, d/lang-specs.h:
	Issue 48: gdc/gdmd should be able to compile .di files
	[976a611f59f3]

	* d-lang.cc, dmd/*, phobos/*:
	Updated to 1.058
	[9ac6a02138c2]

	* d/Make-lang.in, dmd/machobj.c:
	Remove machobj.c from D1
	[67d109f8fe79]

	* d-lang.cc, d/dmd-script, d/symbol.cc:
	Issue 42: -Wall should not error out compiler
	[7593822be7c0]

2010-07-27  michaelp  <baseball.mjp@gmail.com>

	* d/Make-lang.in, d-lang.cc, d/dmd-script, dmd/dsymbol.c,
	dmd/dsymbol.h, dmd/expression.c, dmd/func.c, dmd/init.c,
	dmd/inline.c, dmd/interpret.c, dmd/machobj.c, dmd/mars.c,
	dmd/mars.h, dmd/module.c, dmd/module.h, dmd/mtype.c,
	dmd/root.c, dmd/root.h, dmd/scope.c, dmd/scope.h,
	dmd/speller.c, dmd/speller.h, dmd/statement.c,
	dmd/template.c, d/lang.opt, phobos/internal/aaA.d:
	Updated to 1.057
	[b4fb93e94c29]

2010-07-27  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d/Make-lang.in, dmd/array.c, dmd/bit.c, dmd/complex_t.h,
	dmd/constfold.c, dmd/e2ir.c, dmd/elfobj.c, dmd/expression.c,
	dmd/irstate.c, dmd/irstate.h, dmd/lib.h, dmd/libelf.c,
	dmd/libmach.c, dmd/link.c, dmd/man.c, dmd/mars.c,
	dmd/mem.c, dmd/mem.h, dmd/mtype.c, dmd/port.c, dmd/port.h,
	dmd/root.c, dmd/tocsym.c, dmd/toir.c, dmd/toir.h:
	Issue 29 - Remove unused D1 files
	[d74291c4230b]

	* dmd/template.c, dmd2/template.c:
	Issue 36: duplicate symbols created for negatively initialized template
	arugments
	[1bd9793d8fc6]

	* d-builtins.c:
	Partial fix for Issue 28
	[7fb5519947d4]

	* d-lang.cc:
	Issue 44: strange code in d-asm-1386.h
	[73c379cc9714]

2010-07-26  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-codegen.cc, d-glue.cc:
	D2 postblit on struct literals finished!
	[9ee37bd66bca]

2010-07-25  michaelp  <baseball.mjp@gmail.com>

	* d-lang.cc, d/dmd-script, dmd/*,
	phobos/internal/arrayfloat.d:
	Updated to 1.056
	[4ff162deda23]

2010-07-24  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-glue.cc:
	D2 postblit updates.
	[d53a8be7c0ed]

2010-07-23  michaelp  <baseball.mjp@gmail.com>

	* dmd/class.c, dmd/enum.c, dmd/enum.h, dmd/mars.c,
	dmd/struct.c:
	Updated to 1.055
	[9c62fb9d0abf]

	* dmd/expression.c:
	Fixed spot with wrong patch in it
	[172855a888e9]

	* dmd/*, phobos/internal/gc/gcx.d:
	Updated to 1.054
	[64df5a74b2c4]

2010-07-21  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-lang.cc:
	Fixed warnings in d-lang.cc (thanks Trass3r)
	[7a3c1ae0b625]

	* d-asm-i386.h:
	Fix cast warnings in d-asm-i386.h
	[fa9b66399a13]

	* dmd/lexer.c, dmd2/lexer.c:
	Fix buffer overflow in certain error messages
	[b91574453f5e]

	* d-asm-i386.h:
	Correctly check align value in asm.
	[d5a0f3619810]

2010-07-20  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-glue.cc, dmd/root.c, dmd/statement.c, dmd/template.c,
	dmd/template.h, phobos/std/c/stddef.d:
	Quick updates to D1 and postblit code.
	[214fbfbf5f3f]

	* d-builtins2.cc, d-codegen.cc, d-codegen.h, d-glue.cc,
	dmd/expression.c, dmd/func.c, dmd/machobj.c, dmd/mtype.c,
	dmd/parse.c, dmd/statement.c, dmd/statement.h, dmd/toobj.c,
	phobos/internal/gc/gc.d:
	Some whitespace corrections.
	[c9c54a275526]

2010-07-20  michaelp  <baseball.mjp@gmail.com>

	* d-builtins2.cc, d-codegen.cc, d-codegen.h, d-glue.cc,
	dmd/*, phobos/*:
	Updated to 1.053
	[f02a96cfc1de]

2010-07-20  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-glue.cc:
	Quick revision updates
	[c79811b4f1fc]

2010-07-19  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-glue.cc, dmd2/attrib.c, dmd2/cast.c, dmd2/cond.c,
	dmd2/constfold.c, dmd2/declaration.c, dmd2/declaration.h,
	dmd2/e2ir.c, dmd2/expression.c, dmd2/func.c,
	dmd2/impcnvgen.c, dmd2/lexer.c, dmd2/lexer.h, dmd2/link.c,
	dmd2/mars.c, dmd2/mtype.c, dmd2/mtype.h, dmd2/parse.c,
	dmd2/parse.h, dmd2/statement.c, dmd2/toir.c:
	Updated to 2.020 - Frontend Only
	[676f0aa79458]

2010-07-17  Iain Buclaw  <ibuclaw@ubuntu.com>

	* phobos2/Makefile.in:
	libgphobos2 Makefile fixes.
	[c4acdacfddd2]

2010-07-16  Iain Buclaw  <ibuclaw@ubuntu.com>

	Merge with DMD 2.019

	* d-decls.cc: Merge changes from dmd2/tocsym.c

	* phobos/Makefile.am, phobos/Makefile.in, phobos2/Makefile.am,
	phobos2/Makefile.in: Fix build for check-target-libphobos tests.

	* d-decls.cc, d-objfile: Fixed ICE in gdc-4.3 [39825b8156a3]

2010-07-14  Iain Buclaw  <ibuclaw@ubuntu.com>

	Merge with DMD 2.018

	* d-lang.cc: Added support for AsyncRead in D1.

	* dmd/constfold.c, dmd2/constfold.c: Fixed lost precision when casting
	from large floats to integral types.

	* dmd/todt.c, dmd2/todt.c: Fixed initialiased pointer array values
	being reset to null during compilation.

	* Make-lang.in, d-backendfunctions.c, dmd/template.c: Removed
	backendfunctions.c from Makefile.

2010-07-11  Iain Buclaw  <ibuclaw@ubuntu.com>

	* d-asm-i386.h: AMD Opcodes Supported.

	* Make-lang.in, dmd/mtype.c, dmd/struct.c, target-ver-syms.sh:
	struct ABI fixes.

	* phobos/std/math.d, phobos2/std/math.d: Fix wrong return value in
	expi() function.

2010-07-07  michaelp  <baseball.mjp@gmail.com>

	* dmd/arrayop.c: Fix problem with float array operations.
	- Added linear search for the array op library functions.

2010-07-05  Iain Buclaw  <ibuclaw@ubuntu.com>

	* dmd2/..., phobos2/...: Resolved issues for DMD 2.017.

	* phobos2/configure, phobos2/configure.in: Re-add GNU_Need_execvpe for
	D2 libphobos.

	* dmd/mtype.h, phobos2/internal/object.d, phobos2/std/cpuid.d:
	Quick updates to previous revisions.

2010-07-05  michaelp  <baseball.mjp@gmail.com>

	Merge DMD 2.017

2010-07-04  Iain Buclaw  <ibuclaw@ubuntu.com>

	Merge DMD 1.052

	* d-glue.cc: Fix ICE when using type tuple as function argument.

	* phobos/..., phobos2/...: libphobos cleanup and updates.

	* d-codegen.cc, d-decls.cc: Fix problem when building with
	--enable-checking.

2010-06-28  michaelp  <baseball.mjp@gmail.com>

	* setup-gcc.sh: D1 is default in setup-gcc.sh now.

2010-06-27  Iain Buclaw  <ibuclaw@ubuntu.com>

	Merge with DMD 1.050

	* Make-lang.in: Update for files added in DMD 1.050.

	* phobos/etc/c/zlib.d, phobos/std/zlib.d, phobos2/etc/c/zlib.d:
	Updated Zlib to 1.2.3.

2010-06-22  michaelp  <baseball.mjp@gmail.com>

	* phobos/configure, phobos/configure.in, phobos/std/process.d,
	phobos2/configure, phobos2/configure.in, phobos2/std/process.d:
	Fix problem when building with a version of GNU C that has execvpe()
	implemented (staring with glibc-2.11).

	* phobos/configure, phobos/configure.in, phobos/std/c/freebsd/freebsd.d:
	Fix problem when linking on FreeBSD targets.

2010-06-19  Iain Buclaw  <ibuclaw@ubuntu.com>

	Merge with DMD 1.049

	* d-lang.cc: Merge changes from dmd/mars.c.

	* d-codegen.cc, d-decls.cc: Fix ICEs in const array assignments.

	* d-lang.cc, dmd-script, lang.opt: Added -fdeps option to gdc and
	-deps to gdmd.

	* dmd/mem.c, dmd/mem.h, dmd/port.c, dmd/rmem.h, dt.cc, dt.h,
	phobos/internal/qsortg.d: Remove executable bit on source files.

2010-06-12  Iain Buclaw  <ibuclaw@ubuntu.com>

	Merge with DMD 1.047

	* d-codegen.cc: Look for reference initializations in foreach
	statement assignments.

	* dmd/..., dmd2/..., phobos/..., phobos2/...: Converted CR, CRLF line
	endings to LF (thanks to venix1).

2010-06-04  Vincenzo Ampolo  <vincenzo.ampolo@gmail.com>

	* d-asm-i386.h: Apply patch to compile tango (thanks to venix1).

2010-04-05  michaelp  <baseball.mjp@gmail.com>

	Merge with DMD 1.046

	* d-decls.cc: Fix problem with struct declarations in GCC-4.3.x.

	* dmd-script: Added -pipe option to gdmd

	* d-lang.cc, phobos/...: Fix FreeBSD and Windows version issues.

	* dmd/root.c: Fix Windows template instantiating error.

	* dmd/func.c: Fix segfault on wrong arg type.

2010-02-17  Vincenzo Ampolo  <vincenzo.ampolo@gmail.com>

	* d-glue.cc: Make d1 classinfo like d2 ones.

	* dmd/expression.c, phobos/std/process.d: Apply feep (downs) patch.

2010-02-07  michaelp  <baseball.mjp@gmail.com>

	Merge with 1.045

	* phobos/linux.mak, phobos/win32.mak: Removed Phobos .mak files for
	D 1.045 update.

	* samples/hello.d, samples/samples.sh: Added 1 file to samples
	directory.

2010-01-15  opticron  <nyphbl8d@gmail.com>

	* phobos/std/string.d: Fix a set of bugs in std.string.split which
	made delemiters of length > 1 segfault.


Copyright (C) 2010 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty provided the copyright
notice and this notice are preserved.
